Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkKitwareContourFilter Class Reference

`#include <vtkKitwareContourFilter.h>`

Inheritance diagram for vtkKitwareContourFilter:

[legend]
Collaboration diagram for vtkKitwareContourFilter:

[legend]
List of all members.

## Detailed Description

generate isosurfaces/isolines from scalar values

Date:
  2002/08/13 12:39:08

Revision:
  1.17

vtkKitwareContourFilter is a filter that takes as input any dataset and generates on output isosurfaces and/or isolines. The exact form of the output depends upon the dimensionality of the input data. Data consisting of 3D cells will generate isosurfaces, data consisting of 2D cells will generate isolines, and data with 1D or 0D cells will generate isopoints. Combinations of output type are possible if the input dimension is mixed.

This filter will identify special dataset types (e.g., structured points) and use the appropriate specialized filter to process the data. For examples, if the input dataset type is a volume, this filter will create an internal vtkSyncronizedTemplates3D instance and use it. This gives much better performance on StructuredPoints and StructuredGrids.

To use this filter you must specify one or more contour values. You can either use the method SetValue() to specify each contour value, or use GenerateValues() to generate a series of evenly spaced contours. It is also possible to accelerate the operation of this filter (at the cost of extra memory) by using a vtkScalarTree. A scalar tree is used to quickly locate cells that contain a contour surface. This is especially effective if multiple contours are being extracted. If you want to use a scalar tree, invoke the method UseScalarTreeOn().

Warning:
  For StructuredPoints And StructuredGrids, normals are computed by default, but it is an expensive computation. Processing for other data set types has not been extended to include normal computation. In the mean time, use vtkPolyDataNormals to compute the surface normals.

See also:
  vtkSynchronizedTemplates3D vtkSynchronizedTemplates2D vtkGridSynchronizedTemplates3D

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (63%)
  - Martin, Ken (20%)
  - Geveci, Berk (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Patented/vtkKitwareContourFilter.cxx)`
  - .`h` (`/Patented/vtkKitwareContourFilter.h)`

Tests:
  vtkKitwareContourFilter (Tests)

Definition at line 79 of file vtkKitwareContourFilter.h.

## Public Types
typedef vtkContourFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkKitwareContourFilter * | SafeDownCast (vtkObject *o)
vtkKitwareContourFilter * | New ()
## Protected Methods
| vtkKitwareContourFilter ()
| ~vtkKitwareContourFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *data)
void | Execute ()
void | ExecuteInformation ()
void | StructuredPointsContour (int dim)
void | StructuredGridContour (int dim)
void | DataSetContour ()

## Member Typedef Documentation

typedef vtkContourFilter vtkKitwareContourFilter::Superclass

| Reimplemented from vtkContourFilter. Definition at line 82 of file vtkKitwareContourFilter.h.

## Constructor & Destructor Documentation

vtkKitwareContourFilter::vtkKitwareContourFilter | ( |  | ) | `[protected]`

vtkKitwareContourFilter::~vtkKitwareContourFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkKitwareContourFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkContourFilter.

int vtkKitwareContourFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkContourFilter.

virtual int vtkKitwareContourFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkContourFilter.

vtkKitwareContourFilter* vtkKitwareContourFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkContourFilter.

void vtkKitwareContourFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkContourFilter.

vtkKitwareContourFilter* vtkKitwareContourFilter::New | ( |  | ) | `[static]`

| Construct object with initial range (0,1) and single contour value of 0.0. Reimplemented from vtkContourFilter.

void vtkKitwareContourFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | data | ) | `[protected, virtual]`

| Do not let images return more than requested. Reimplemented from vtkDataSetToPolyDataFilter.

void vtkKitwareContourFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkContourFilter.

void vtkKitwareContourFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkKitwareContourFilter::StructuredPointsContour | ( | int | dim | ) | `[protected]`

void vtkKitwareContourFilter::StructuredGridContour | ( | int | dim | ) | `[protected]`

void vtkKitwareContourFilter::DataSetContour | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- Patented/vtkKitwareContourFilter.h